Skip to content
Coritan Docs

Organization API: Customer Portal: External servers

The 5 Organization API operations for external servers.

View as Markdown

Part of Customer Portal.

Method Path Summary
GET /api/v1/orgs/{org_slug}/portal/external-servers List external servers
GET /api/v1/orgs/{org_slug}/portal/external-servers/regions Regions an existing external server can be moved to
GET /api/v1/orgs/{org_slug}/portal/external-servers/{service_id} Get external server
PATCH /api/v1/orgs/{org_slug}/portal/external-servers/{service_id} Change where players are forwarded, how, and through which region
POST /api/v1/orgs/{org_slug}/portal/external-servers/{service_id}/test Status-ping the backend now and record the answer

GET /api/v1/orgs/{org_slug}/portal/external-servers

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Regions an existing external server can be moved to

Section titled Regions an existing external server can be moved to

GET /api/v1/orgs/{org_slug}/portal/external-servers/regions

Regions an existing external server can be moved to.

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/portal/external-servers/{service_id}

Name In Type Required
service_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Change where players are forwarded, how, and through which region

Section titled Change where players are forwarded, how, and through which region

PATCH /api/v1/orgs/{org_slug}/portal/external-servers/{service_id}

Change where players are forwarded, how, and through which region.

Name In Type Required
service_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
upstream_host string or null no
upstream_port integer or null no
proxy_protocol boolean or null no
real_ip boolean or null no
mode string or null no
bedrock_bridge boolean or null no
location_id integer or null no
display_name string or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Status-ping the backend now and record the answer

Section titled Status-ping the backend now and record the answer

POST /api/v1/orgs/{org_slug}/portal/external-servers/{service_id}/test

Status-ping the backend now and record the answer.

Name In Type Required
service_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.